summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDan Dennedy <dan@dennedy.org>2015-12-29 20:39:03 (GMT)
committer Dan Dennedy <dan@dennedy.org>2015-12-29 20:39:03 (GMT)
commit954fbe3e324e05f36aa1ae84f7fed4f87d6c9176 (patch)
treee3d3ea81cfcd070fee0070708e054a25f4d7d5f5
parentcea68c2b8b1307fa5f295588b0ca37cba0b29d7c (diff)
Fix autogen.sh on newer versions of libtool.
Newer versions of libtool (e.g. 2.4.2 in Ubuntu 15.10) do not provide a libtool executable - only libtoolize.
-rwxr-xr-xautogen.sh4
1 files changed, 1 insertions, 3 deletions
diff --git a/autogen.sh b/autogen.sh
index 125ca1f..22b78a5 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -10,12 +10,10 @@ srcdir=`dirname $0`
AUTOHEADER=autoheader
if [ "`uname -s`" = "Darwin" ]; then
- LIBTOOL=glibtool
LIBTOOLIZE=glibtoolize
ACLOCAL=aclocal
AUTOMAKE=automake
else
- LIBTOOL=libtool
LIBTOOLIZE=libtoolize
ACLOCAL=aclocal
AUTOMAKE=automake
@@ -44,7 +42,7 @@ DIE=0
DIE=1
}
-($LIBTOOL --version) < /dev/null > /dev/null 2>&1 || {
+($LIBTOOLIZE --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "You must have libtool installed to compile $package."
echo "Download the appropriate package for your system,"